> For the complete documentation index, see [llms.txt](https://api-portal.novapost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-portal.novapost.com/changelog-1/documentation-1/zmini-dlya-kalkulyatora-vartosti-dostavki-i-mitnikh-platezhiv-dlya-ssha.md).

# Зміни для калькулятора вартості доставки і митних платежів для США

На вимогу митниці змінено розрахунок митних платежів для напрямку Україна - США. Тепер мито нараховують не на загальну вартість інвойсу, а з урахуванням УКТЗЕД (або HS-кодів) позицій інвойсу, їх кількості й вартості.

Зміни стосуються міжнародних відправок, коли платником мита є відправник або третя особа.

**Як це виглядає?**

Клієнт у запиті передає інформацію про позиції інвойсу, якщо бажає отримати розрахунок не лише за доставку, а й за митні платежі. Митні платежі розрахують для кожного коду окремо.

**Запит**

Метод **POST** `v.1.0/shipments/calculations`

**Яких напрямів це стосується**

Відправка з України в США

***Як було***

```
{
  "payerType": "Sender",
  "deliveryTypes": [
    "standard",
    "express"
  ],
  "invoice": {
    "incoterm": "DDP",
    "currency": "USD",
    "payerFeesCustoms": "Sender",
    "cost": 125
  },
  "parcels": [
    {
      "cargoCategory": "parcel",
      "insuranceCost": 125,
      "rowNumber": 1,
      "width": 500,
      "length": 500,
      "height": 500,
      "actualWeight": 15000,
      "volumetricWeight": 25000
    }
  ],
  "sender": {
    "countryCode": "UA",
    "divisionId": 4438
  },
   "recipient": {
        "countryCode": "US",
        "addressParts": {
            "city": "Tucson",
            "region": "AZ",
            "postCode": "85730-4544",
            "street": "4675 S Harrison Rd Unit 191",
            "building": "1"
        }
    }
}
```

Тариф "economy" для США відсутній

***Як буде***

```
{
  "payerType": "Sender",
  "deliveryTypes": [
    "standard",
    "express"
  ],
  "invoice": {
    "incoterm": "DDP",
    "currency": "USD",
    "payerFeesCustoms": "Sender",
    "cost": 125,
    // нові поля //
    "items": [
            {
                "hsCode": "4411149200",
                "amount": 5,
                "cost": 25
            }
      ]
    // ---- //
  },
  "parcels": [
    {
      "cargoCategory": "parcel",
      "insuranceCost": 125,
      "rowNumber": 1,
      "width": 500,
      "length": 500,
      "height": 500,
      "actualWeight": 15000,
      "volumetricWeight": 25000
    }
  ],
  "sender": {
    "countryCode": "UA",
    "divisionId": 4438
  },
   "recipient": {
        "countryCode": "US",
        "addressParts": {
            "city": "Tucson",
            "region": "AZ",
            "postCode": "85730-4544",
            "street": "4675 S Harrison Rd Unit 191",
            "building": "1"
        }
    }
}
```

**Поля, які додалися в запит**

<table><thead><tr><th width="217">Поле</th><th>Тип</th><th>Обов'язковість</th><th>Значення</th></tr></thead><tbody><tr><td>invoice.items</td><td>array[object]</td><td>Conditional</td><td>Список позицій інвойса, які будуть декларуватися</td></tr><tr><td>invoice.items[].hsCode</td><td>string</td><td>Yes*</td><td>Код УКТЗЕД або HTSUS для США</td></tr><tr><td>invoice.items[].amount</td><td>number</td><td>Yes*</td><td>Кількість одиниць позиції інвойса</td></tr><tr><td>invoice.items[].cost</td><td>number</td><td>Yes*</td><td>Вартість одиниці позиції в валюті інвойса</td></tr></tbody></table>

Загальний опис контракту <https://api-portal.novapost.com/methods/ua/overview/shipments/delivery-cost>.

**Зміна у відповіді**

У відповіді додаються нові поля

* `recipientPayerFeesCustomsCost` - Значення цього поля показує, яку суму митних платежів повинен буде сплатити отримувач, якщо він буде обраний платником митних платежів.
* `senderPayerFeesCustomsCost` - Значення цього поля показує, яку суму митних платежів сплачуватиме відправник (третя особа), якщо він буде обраний платником митних платежів.

Ці поля дозволяють відправнику або третій особі порівняти суми митних платежів залежно від того, кого буде обрано платником митних платежів. Вартість послуг повертається у валюті країни відправки посилки.

Загальна вартість доставки без врахування митних платежів з врахуванням персональних знижок відображатиметься в полі `cost`.

Загальна вартість доставки з митними платежами без знижок відображатиметься в полі `price`.

Успішна відповідь

```
{
    "scheduledDeliveryDate": null,
    "sender": {
        "countryCode": "UA",
        "settlementId": 115801,
        "divisionId": 4438
    },
    "recipient": {
        "countryCode": "US",
        "settlementId": null,
        "divisionId": null
    },
    "services": [
        {
            "shipmentId": null,
            "shipmentParcelRowNumber": null,
            "serviceId": null,
            "serviceType": null,
            "serviceName": null,
            "serviceCode": null,
            "amount": 1,
            "contractNumber": null,
            "payerType": "Sender",
            "paymentStatus": "NeedPay",
            "divisionId": null,
            "price": 11259,
            "discount": 0,
            "cost": 11220,
            "user": "",
            "shipmentLockVersion": null,
            "additionalParameters": null,
            "currencyCode": "UAH",
            "createdAt": "2026-08-25T13:07:32.551228Z",
            "updatedAt": "0001-01-01T00:00:00.000000Z",
            "deliveryType": "fe0a07b5-a212-11eb-94e4-b8830365bd14",
            "deliveryTypeName": "standard",
            "recipientPayerFeesCustomsCost": 710,
            "senderPayerFeesCustomsCost": 39
        },
        {
            "shipmentId": null,
            "shipmentParcelRowNumber": null,
            "serviceId": null,
            "serviceType": null,
            "serviceName": null,
            "serviceCode": null,
            "amount": 1,
            "contractNumber": null,
            "payerType": "Sender",
            "paymentStatus": "NeedPay",
            "divisionId": null,
            "price": 11259,
            "discount": 0,
            "cost": 11220,
            "user": "",
            "shipmentLockVersion": null,
            "additionalParameters": null,
            "currencyCode": "UAH",
            "createdAt": "2026-08-25T13:07:32.551252Z",
            "updatedAt": "0001-01-01T00:00:00.000000Z",
            "deliveryType": "aebf0991-ec73-11f0-9dff-8c8474c74d21",
            "deliveryTypeName": "express",
            "recipientPayerFeesCustomsCost": 710,
            "senderPayerFeesCustomsCost": 39
        }
    ],
    "messageForFeesCustomsCost": ""
}
```

Відповідь з помилкою (некоректний hs-код).

{% hint style="warning" %}
Якщо ви вказали неправильний код або ми не змогли підібрати ставку, ви отримаєте попередження в полі `messageForFeesCustomsCost.warning`, розрахунок без цього коду, але пізніше до / під час відправки потрібно буде визначити правильний код УКТЗЕД (або HTSUS) та вартість митних платежів буде перерахована. Краще перевірте код заздалегідь або зверніться до підтримки або свого менеджера для перевірки / додавання коду.
{% endhint %}

```
{{
    "scheduledDeliveryDate": null,
    "sender": {
        "countryCode": "UA",
        "settlementId": 115801,
        "divisionId": 4438
    },
    "recipient": {
        "countryCode": "US",
        "settlementId": null,
        "divisionId": null
    },
    "services": [
        {
            "shipmentId": null,
            "shipmentParcelRowNumber": null,
            "serviceId": null,
            "serviceType": null,
            "serviceName": null,
            "serviceCode": null,
            "amount": 1,
            "contractNumber": null,
            "payerType": "Sender",
            "paymentStatus": "NeedPay",
            "divisionId": null,
            "price": 11220,
            "discount": 0,
            "cost": 11220,
            "user": "",
            "shipmentLockVersion": null,
            "additionalParameters": null,
            "currencyCode": "UAH",
            "createdAt": "2026-08-25T13:08:13.391287Z",
            "updatedAt": "0001-01-01T00:00:00.000000Z",
            "deliveryType": "fe0a07b5-a212-11eb-94e4-b8830365bd14",
            "deliveryTypeName": "standard",
            "recipientPayerFeesCustomsCost": 671,
            "senderPayerFeesCustomsCost": 0
        },
        {
            "shipmentId": null,
            "shipmentParcelRowNumber": null,
            "serviceId": null,
            "serviceType": null,
            "serviceName": null,
            "serviceCode": null,
            "amount": 1,
            "contractNumber": null,
            "payerType": "Sender",
            "paymentStatus": "NeedPay",
            "divisionId": null,
            "price": 11220,
            "discount": 0,
            "cost": 11220,
            "user": "",
            "shipmentLockVersion": null,
            "additionalParameters": null,
            "currencyCode": "UAH",
            "createdAt": "2026-08-25T13:08:13.391321Z",
            "updatedAt": "0001-01-01T00:00:00.000000Z",
            "deliveryType": "aebf0991-ec73-11f0-9dff-8c8474c74d21",
            "deliveryTypeName": "express",
            "recipientPayerFeesCustomsCost": 671,
            "senderPayerFeesCustomsCost": 0
        }
    ],
    "messageForFeesCustomsCost": [
        {
            "hsCode": "4411100000",
            "warning": "no_ddc_converted"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api-portal.novapost.com/changelog-1/documentation-1/zmini-dlya-kalkulyatora-vartosti-dostavki-i-mitnikh-platezhiv-dlya-ssha.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
